com.google.gwt.event.dom.client

## Interface HasDragHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllDragAndDropHandlers

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CellGridImpl, CheckBox, CustomButton, DefaultCalendarView.CellGrid, DialogBox.CaptionImpl, DoubleBox, FileUpload, FlexTable, FocusPanel, FocusWidget, Grid, HTML, HTMLTable, Image, InlineHTML, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, Video

    public interface HasDragHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `DragHandler` instances.

Experimental API: This API is still under development and is subject to change.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addDragHandler(DragHandler handler)` Adds a `DragEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addDragHandler

    HandlerRegistration addDragHandler(DragHandler handler)

Adds a `DragEvent` handler.

Parameters:
  `handler` - the drag handler
Returns:
  `HandlerRegistration` used to remove this handler